// Elements
//
// Things to review before you write code here:
// - Be sure to load after "foundation" import.
// - Also, before adding styles be sure to modify variables in the
//   "base/_common.scss" file. You may not need to write any code.

img{
  // Show image alt text italic so its a little more visible as regular text.
  font-style:italic;
  // fix image gap on inline images
  vertical-align: bottom;
}

// Headings
//------------------------------------------
h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5,
h6, .h6{
  a {
    text-decoration: none;
  }
}

// Paragraphs
//------------------------------------------

// p:last-child{
  // margin-bottom:0; <-- Removed, useful in some cases, but this should be solved in the current context (eg. .card{ *:last-child{ ... } })
// }

// Anchors
//-----------------------------------------------------------------------------
// Make links always the same color as the surrounding text.
a {
  color: $link-color;
  @if($link-with-underline == true){
    text-decoration:underline;
    text-decoration-color: $link-underline-color;
  }
  &:hover{
    color: $link-color;
    @if($link-with-underline == true) {
      text-decoration-color: currentColor;
    }
  }
}
